Loading...
Searching...
No Matches
BALL::IMGDock Class Reference

`#include <BALL/DOCKING/IMGDOCK/IMGDock.h>`

Inheritance diagram for BALL::IMGDock:

## Classes

struct | Option
struct | Default

## Public Member Functions

Constructors&Destructors
| IMGDock (System &receptor, System &ligand, Options &new_options)
| IMGDock (System &receptor, System &ligand)
| IMGDock (System &receptor, System &ligand, string config_file)
| ~IMGDock ()
Public Member Functions inherited from BALL::DockingAlgorithm
| DockingAlgorithm ()
| DockingAlgorithm (System &receptor, System &ligand, Options &new_options)
| DockingAlgorithm (System &receptor, System &ligand)
virtual | ~DockingAlgorithm ()
ScoringFunction * | getScoringFunction ()
void | setScoringFunction (ScoringFunction *scoring)
void | processMultiMoleculeFile (string input_filename, string output_filename, double score_cutoff, vector< double > *min_atoms_in_ref_areas=0, String toolinfo="", String timestamp="")
void | setLigand (AtomContainer *ligand)
const AtomContainer * | getLigand ()
const AtomContainer * | getReferenceLigand ()
const String & | getName ()
virtual void | pause ()
virtual void | proceed ()
virtual void | abort ()
virtual void | finish ()
virtual void | reset ()
virtual bool | hasFinished () const
virtual bool | wasAborted () const
virtual bool | wasPaused () const
virtual float | getProgress () const
virtual ConformationSet | getConformationSet (Index total_conformations=0)
double | calculateRMSD (const AtomContainer &S1, const AtomContainer &S2, int *no_matched_atoms=NULL)
const AtomContainer * | getVisualizationPose ()
void | setVisualizationPose (const double &score)
double | getVisualizationPoseScore ()
DISPLAYMODE | getDisplayMode ()
void | setDisplayMode (DISPLAYMODE display_mode)
void | setMaxFps (int no)

## Attributes

int | rec

## Accessors

void | setup (System &receptor, System &ligand, Options &new_options)
void | setup (System &receptor, System &ligand)
void | start ()
double | dockLigand (AtomContainer &ligand, bool verbose=0)
double | getEnergy ()
double | getScore ()
void | printFragments (std::ostream &out=std::cout)
void | printResults (std::ostream &out=std::cout)
void | rotateLigandFragment (Size fragment, Size bond, int degree)
void | steps (Size no=1)
void | update ()
void | startDock (bool verbose=0)
const AtomContainer * | getLigand ()
static void | getDefaultOptions (Options &options)

## Additional Inherited Members

Public Types inherited from BALL::DockingAlgorithm
enum | DISPLAYMODE { NO_DISPLAY = 0 , BEST_INTERMEDIATE_POSES = 1 , ALL_INTERMEDIATE_POSES = 2 , NO_INTERMEDIATE_POSES = 3 }
Static Public Member Functions inherited from BALL::DockingAlgorithm
static void | readOptionFile (String filename, Options &output_options, list< Constraint * > &output_constraints, const AtomContainer *ref_ligand=0)
static void | writeOptionFile (String filename, Options &input_options, list< Constraint * > &input_constraints)
static Matrix4x4 | mapCompounds (const AtomContainer &S1, const AtomContainer &S2, Size &no_matched_heavy_atoms, double &rmsd, double upper_bound, double lower_bound, double tolerance)
Public Attributes inherited from BALL::DockingAlgorithm
Options | options
bool | new_pose_to_be_visualized
Static Public Attributes inherited from BALL::DockingAlgorithm
static const String | OPTION_FILE_PARAMETER_NAME
Protected Member Functions inherited from BALL::DockingAlgorithm
void | mapLigandOntoReferenceLigand ()
Static Protected Member Functions inherited from BALL::DockingAlgorithm
static void | writeSubcategories_ (Options &category, std::ostream &out)
Protected Attributes inherited from BALL::DockingAlgorithm
System * | system1_
System * | system2_
bool | pause_
bool | abort_
bool | finished_
AtomContainer * | reference_ligand_
String | name_
AtomContainer * | receptor_
AtomContainer * | ligand_
ScoringFunction * | scoring_function_
String | parameter_filename_
String | scoring_type_
DISPLAYMODE | display_mode_
AtomContainer | visualization_pose_
double | visualization_pose_score_
double | min_sec_between_visualizations_
Timer | visualization_timer_

## Detailed Description

Iterative Multi-Greedy Docking

Definition at line 38 of file IMGDock.h.

## Constructor & Destructor Documentation

## IMGDock() [1/3]

BALL::IMGDock::IMGDock | ( | System & | receptor,
|  | System & | ligand,
|  | Options & | new_options )

## IMGDock() [2/3]

BALL::IMGDock::IMGDock | ( | System & | receptor,
|  | System & | ligand )

## IMGDock() [3/3]

BALL::IMGDock::IMGDock | ( | System & | receptor,
|  | System & | ligand,
|  | string | config_file )

## ~IMGDock()

BALL::IMGDock::~IMGDock | ( |  | ) |

## Member Function Documentation

## dockLigand()

double BALL::IMGDock::dockLigand | ( | AtomContainer & | ligand,
|  | bool | verbose = 0 )

virtual

tries to dock a given ligand and return the obtained energy ( = internal conformation energy of the ligand + binding free energy)

Reimplemented from BALL::DockingAlgorithm.

## getDefaultOptions()

void BALL::IMGDock::getDefaultOptions | ( | Options & | options | ) |

static

stores the default options of this algorithms in the given Option object

## getEnergy()

double BALL::IMGDock::getEnergy | ( |  | ) |

returns the energy of current conformation of the ligand candidate ( = conformation energy+interaction energy), as calculated by the last call of update()

## getLigand()

const AtomContainer * BALL::IMGDock::getLigand | ( |  | ) |

## getScore()

double BALL::IMGDock::getScore | ( |  | ) |

returns the IMGDock score for the current conformation of the ligand candidate as calculated by the last call of update(); i.e. the interaction+conformation energy scaled ...
– with respect to the depth of burial of the ligand candidate into the binding pocket
– and with respect to the number/fraction of ligand atoms that are located within the various reference areas (which are defined by the user)

## printFragments()

void BALL::IMGDock::printFragments | ( | std::ostream & | out = std::cout | ) |

prints information about each fragment of the ligand

## printResults()

void BALL::IMGDock::printResults | ( | std::ostream & | out = std::cout | ) |

## rotateLigandFragment()

void BALL::IMGDock::rotateLigandFragment | ( | Size | fragment,
|  | Size | bond,
|  | int | degree )

rotate a ligand fragment around one of its bonds that connects it to another fragment

## setup() [1/2]

void BALL::IMGDock::setup | ( | System & | receptor,
|  | System & | ligand )

virtual

Alternative setup. Assigns systems 1 and two without changing the options for this DockingAlgorithm.

Reimplemented from BALL::DockingAlgorithm.

## setup() [2/2]

void BALL::IMGDock::setup | ( | System & | receptor,
|  | System & | ligand,
|  | Options & | new_options )

virtual

Operations Full setup. Assigns systems 1 and two and the options for this DockingAlgorithm.

Reimplemented from BALL::DockingAlgorithm.

## start()

void BALL::IMGDock::start | ( |  | ) |

virtual

Reimplemented from BALL::DockingAlgorithm.

## startDock()

void BALL::IMGDock::startDock | ( | bool | verbose = 0 | ) |

## steps()

void BALL::IMGDock::steps | ( | Size | no = 1 | ) |

## update()

void BALL::IMGDock::update | ( |  | ) |

updates energy and forces between target and ligand

## Member Data Documentation

## rec

int BALL::IMGDock::rec

Definition at line 127 of file IMGDock.h.